Gtk::TreeRowReference Class Reference
TreeView Classes

Typedefed as Gtk::TreeModel::RowReference. More...

## Public Types

typedef const void* | BoolExpr
| This typedef is just to make it more obvious that our operator const void* should be used like operator bool(). More...

## Public Member Functions

| TreeRowReference ()
| TreeRowReference (GtkTreeRowReference* gobject, bool make_a_copy=true)
| TreeRowReference (const TreeRowReference& other)
TreeRowReference& | operator= (const TreeRowReference& other)
| ~TreeRowReference ()
void | swap (TreeRowReference& other)
GtkTreeRowReference* | gobj ()
| Provides access to the underlying C instance. More...
const GtkTreeRowReference* | gobj () const
| Provides access to the underlying C instance. More...
GtkTreeRowReference* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...
| TreeRowReference (const Glib::RefPtr< TreeModel >& model, const TreeModel::Path& path)
| operator BoolExpr () const
| The same as is_valid(). More...
TreeModel::Path | get_path () const
| Returns a path that the row reference currently points to, or `0` if the path pointed to is no longer valid. More...
Glib::RefPtr< TreeModel > | get_model ()
| Returns the model that the row reference is monitoring. More...
Glib::RefPtr< const TreeModel > | get_model () const
| Returns the model that the row reference is monitoring. More...
bool | is_valid () const
| Returns `true` if the reference is non-`0` and refers to a current valid path. More...

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes

GtkTreeRowReference* | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (TreeRowReference& lhs, TreeRowReference& rhs)
Gtk::TreeRowReference | wrap (GtkTreeRowReference* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Typedefed as Gtk::TreeModel::RowReference.

This reference will keep pointing to the node pointed to by the Path, so long as it exists. It listens to all signals emitted by the Model, and updates its Path appropriately.

## Member Typedef Documentation

typedef const void* Gtk::TreeRowReference::BoolExpr

This typedef is just to make it more obvious that our operator const void* should be used like operator bool().

## Constructor & Destructor Documentation

Gtk::TreeRowReference::TreeRowReference | ( |  | ) |

Gtk::TreeRowReference::TreeRowReference | ( | GtkTreeRowReference * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |

explicit

Gtk::TreeRowReference::TreeRowReference | ( | const TreeRowReference& | other | ) |

Gtk::TreeRowReference::~TreeRowReference | ( |  | ) |

Gtk::TreeRowReference::TreeRowReference | ( | const Glib::RefPtr< TreeModel >& | model,
|  | const TreeModel::Path& | path
| ) |  |

## Member Function Documentation

Glib::RefPtr<TreeModel> Gtk::TreeRowReference::get_model | ( |  | ) |

Returns the model that the row reference is monitoring.

Since gtkmm 2.8:

Returns
  The model.

Glib::RefPtr<const TreeModel> Gtk::TreeRowReference::get_model | ( |  | ) | const

Returns the model that the row reference is monitoring.

Since gtkmm 2.8:

Returns
  The model.

TreeModel::Path Gtk::TreeRowReference::get_path | ( |  | ) | const

Returns a path that the row reference currently points to, or `0` if the path pointed to is no longer valid.

Returns
  A current path, or `0`.

static GType Gtk::TreeRowReference::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GtkTreeRowReference* Gtk::TreeRowReference::gobj | ( |  | ) |

inline

Provides access to the underlying C instance.

const GtkTreeRowReference* Gtk::TreeRowReference::gobj | ( |  | ) | const

inline

Provides access to the underlying C instance.

GtkTreeRowReference* Gtk::TreeRowReference::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

bool Gtk::TreeRowReference::is_valid | ( |  | ) | const

Returns `true` if the reference is non-`0` and refers to a current valid path.

Returns
  `true` if reference points to a valid path.

Gtk::TreeRowReference::operator BoolExpr | ( |  | ) | const

The same as is_valid().

For instance,

if(treerowreference)
do_something()

TreeRowReference& Gtk::TreeRowReference::operator= | ( | const TreeRowReference& | other | ) |

void Gtk::TreeRowReference::swap | ( | TreeRowReference& | other | ) |

## Friends And Related Function Documentation

void swap | ( | TreeRowReference& | lhs,
|  | TreeRowReference& | rhs
| ) |  |

related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

Gtk::TreeRowReference wrap | ( | GtkTreeRowReference * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkTreeRowReference* Gtk::TreeRowReference::gobject_

protected

The documentation for this class was generated from the following file:

- gtkmm/treerowreference.h